/*!
 * Custom elements for Nanopore-Digital Web applications
 */
import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const GridItem = /*@__PURE__*/ proxyCustomElement(class GridItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    /**
     * How to position this item within it's parent grid at different break points. Examples:
     * xl-col-span-2
     * l-col-start-2
     * xxl-row-span-2
     * m-row-start-2
     */
    render() {
        return h("slot", { key: '9a50a1034bd70b2d0c461f01acdb6b0484e492d3' });
    }
    static get style() { return ":host { display: inline-block; }"; }
}, [257, "nano-grid-item"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nano-grid-item"];
    components.forEach(tagName => { switch (tagName) {
        case "nano-grid-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GridItem);
            }
            break;
    } });
}

const NanoGridItem = GridItem;
const defineCustomElement = defineCustomElement$1;

export { NanoGridItem, defineCustomElement };
